MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028369Open CASCADE[OCCT] OCCT:Visualizationpublic2017-01-18 13:442017-09-29 16:24
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028369: Visualization, Path Tracing - Expose radiance clamping setting in path tracing mode
DescriptionIn some cases, it is very desirable to control radiance clamping value used by path tracing engine. Smaller value allows to decrease visible noise and get final result (sometimes much) faster, but it introduces extra bias. The main drawback is that caustics may become more dark or even dissapear. The higher value allows to keep path tracing unbiased, but may require more time for image convergence. The default value provides reasonable compromise between these properties, but it is not suitable for all the cases. So, the parameter to control this value is needed.
Steps To Reproducevrenderparams -maxrad <value>
TagsNo tags attached.
Test case numberv3d raytrace sample_cube_clamp
Attached Filespng file icon sample_cube_clamp_1.png (314,275 bytes) 2017-01-18 14:35
png file icon sample_cube_clamp_2.png (338,138 bytes) 2017-01-18 14:35
png file icon sample_cube_clamp_10.png (363,139 bytes) 2017-01-18 14:35
png file icon sample_cube_clamp_100.png (369,983 bytes) 2017-01-18 14:35

- Relationships

-  Notes
(0062750)
git (administrator)
2017-01-18 14:35

Branch CR28369 has been created by dbp.

SHA-1: db3ba90015e7e796612b3b0a9b55a8a83cea322a


Detailed log of new commits:

Author: dbp
Date: Wed Jan 18 14:24:13 2017 +0300

    0028369: Visualization, Path Tracing - Expose radiance clamping setting in path tracing mode
    
    New parameter was added in the vrenderparams command:
    vrenderparams -maxrad <value>
(0062751)
dbp (developer)
2017-01-18 14:36

Dear kgv,

Could you please the patch in branch CR28369?
(0062753)
dbp (developer)
2017-01-18 14:37

New test case was added:
test v3d raytrace sample_cube_clamp

Reference images are attached to this issue.
(0062761)
kgv (developer)
2017-01-18 16:10

Shader resource files are not re-generated.
(0062763)
git (administrator)
2017-01-18 16:56

Branch CR28369 has been updated forcibly by dbp.

SHA-1: f12626f4ad83e8ee49cf79f797ef447096423705
(0062765)
dbp (developer)
2017-01-18 16:56

Shader resources were regenerated.
(0062766)
kgv (developer)
2017-01-18 16:58

Please test the patch.
(0062802)
apv (tester)
2017-01-19 15:07

Dear BugMaster,

Branch CR28369 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: f12626f4ad83e8ee49cf79f797ef447096423705

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1144

Regressions/Differences:
Not detected

Testing cases:
v3d raytrace sample_cube_clamp - OK
http://occt-tests/CR28369-master-OCCT/Debian70-64/v3d/raytrace/sample_cube_clamp.html [^]
http://occt-tests/CR28369-master-OCCT/Windows-64-VC10/v3d/raytrace/sample_cube_clamp.html [^]

Testing on Linux:
Total MEMORY difference: 93510686 / 92923112 [+0.63%]
Total CPU difference: 21396.580000000173 / 21506.1200000003 [-0.51%]

Testing on Windows:
Total MEMORY difference: 58632152 / 58649007 [-0.03%]
Total CPU difference: 19512.745480898564 / 19749.742200098677 [-1.20%]
(0063618)
git (administrator)
2017-02-08 11:36

Branch CR28369 has been deleted by kgv.

SHA-1: f12626f4ad83e8ee49cf79f797ef447096423705

- Related Changesets
occt: master b09447ed
Timestamp: 2017-01-18 11:24:13
Author: dbp
Committer: apn
Details ] Diff ]
0028369: Visualization, Path Tracing - Expose radiance clamping setting in path tracing mode

New parameter was added in the vrenderparams command:
vrenderparams -maxrad <value>
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/Shaders/PathtraceBase.fs Diff ] File ]
mod - src/Shaders/RaytraceRender.fs Diff ] File ]
mod - src/Shaders/Shaders_PathtraceBase_fs.pxx Diff ] File ]
mod - src/Shaders/Shaders_RaytraceRender_fs.pxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/v3d/raytrace/sample_cube_clamp Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-18 13:44 dbp New Issue
2017-01-18 13:44 dbp Assigned To => dbp
2017-01-18 14:35 git Note Added: 0062750
2017-01-18 14:35 dbp File Added: sample_cube_clamp_1.png
2017-01-18 14:35 dbp File Added: sample_cube_clamp_2.png
2017-01-18 14:35 dbp File Added: sample_cube_clamp_10.png
2017-01-18 14:35 dbp File Added: sample_cube_clamp_100.png
2017-01-18 14:36 dbp Note Added: 0062751
2017-01-18 14:36 dbp Assigned To dbp => kgv
2017-01-18 14:36 dbp Status new => resolved
2017-01-18 14:36 dbp Steps to Reproduce Updated View Revisions
2017-01-18 14:37 dbp Note Added: 0062753
2017-01-18 16:10 kgv Note Added: 0062761
2017-01-18 16:10 kgv Assigned To kgv => dbp
2017-01-18 16:10 kgv Status resolved => feedback
2017-01-18 16:56 git Note Added: 0062763
2017-01-18 16:56 dbp Note Added: 0062765
2017-01-18 16:56 dbp Assigned To dbp => kgv
2017-01-18 16:56 dbp Status feedback => resolved
2017-01-18 16:58 kgv Note Added: 0062766
2017-01-18 16:58 kgv Assigned To kgv => bugmaster
2017-01-18 16:58 kgv Severity minor => feature
2017-01-18 16:58 kgv Status resolved => reviewed
2017-01-18 17:34 apv Test case number => v3d raytrace sample_cube_clamp
2017-01-18 17:34 apv Assigned To bugmaster => apv
2017-01-19 15:07 apv Note Added: 0062802
2017-01-19 15:07 apv Assigned To apv => bugmaster
2017-01-19 15:07 apv Status reviewed => tested
2017-01-20 16:12 apn Changeset attached => occt master b09447ed
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063618
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker